[Overview][Classes][Index] | Reference for unit 'externalwriter' (#fcl-res)

# TExternalResourceWriter.Endianess

The byte order to use in the file

## Declaration

Source position: externalwriter.pp line 65

`public property TExternalResourceWriter.Endianess : Byte read fEndianess write SetEndianess;`

## Description

This property can be used to set the byte order (endianess) of the file to write.

Remark: | If a value other than EXT_ENDIAN_BIG or EXT_ENDIAN_LITTLE is used, an EExternalResInvalidEndianessException exception is raised.

## See also

EXT_ENDIAN_BIG |  | The file uses big endian byte order
EXT_ENDIAN_LITTLE |  | The file uses little endian byte order